API Documentation |
GIFImage

Package | org.alivepdf.images
Class | public final class GIFImage
Inheritance | GIFImage PDFImage Object

Public Properties
Hide Inherited Public Properties
Show Inherited Public Properties

| Property | Defined By
--- | --- | ---
|  | bpc : int = 8 | PDFImage
|  | bytes : ByteArray [read-only] | PDFImage
|  | cs : String = DeviceRGB | PDFImage
|  | ct : Number | PDFImage
|  | f : String | PDFImage
|  | height : int | PDFImage
|  | i : int | PDFImage
|  | n : int | PDFImage
|  | pal : String | PDFImage
|  | parameters : String | PDFImage
|  | progressive : Boolean | PDFImage
|  | trns : String | PDFImage
|  | width : int | PDFImage

Protected Properties
Hide Inherited Protected Properties
Show Inherited Protected Properties

| Property | Defined By
--- | --- | ---
|  | stream : ByteArray | PDFImage

Public Methods

| Method | Defined By
--- | --- | ---
|  | GIFImage(imageStream:ByteArray, id:int) | GIFImage

Constructor Detail

GIFImage | () | Constructor

`public function GIFImage(imageStream:ByteArray, id:int)`

Parameters

| `imageStream:ByteArray`
| `id:int`

Mon Oct 17 2011, 09:13 PM -04:00